Subject: Re: [Sigtran] (M2PA) Comments on M2PA v8

From: Tom George <[email-masked]>
Date: Wed, 28 May 2003 10:29:32 -0500

The only snag I see with my own suggestion is that I can't find where
Q.703 says to stop T7 during LPO. The closest I can find is a "Stop T7"
in Figure 13 (sheet 7 of 7). Could someone explain this to me? Thanks.

tomG.

Tom George wrote:
> 
> Jeff,
> 
> IMHO the best way to write this is to delete (c) in 4.1.4 and let M2PA
> follow MTP2's behavior.
> 
> tomG.
> 
> Tom George wrote:
> >
> > Jeff,
> >
> > Comments below....
> >
> > [email-masked] wrote:
>   [...]
> > > Page 27:
> > >    "(c) M2PA SHOULD continue running the T7 timer for messages sent
> > >         before the local processor outage."
> > >
> > >     Since link status messages are transported by a different stream
> > >     than the user data messages, it is possible for the LSPO to be
> > >     received by the peer prior to the last user data message. As soon
> > >     as the peer receives the LSPO, it moves the link to the
> > >     PROCESSOR_OUTAGE state and informs its MTP3 of the remote
> > >     processor condition. At that point the peer M2PA must not send
> > >     received user data messages to MTP3, and so it should not ACK
> > >     those messages.
> > >
> > >     This is already stated in the following draft paragraph:
> > >
> > >    "(a) Any User Data messages received from the peer after the Link
> > >         Status Processor Outage MUST NOT be acknowledged and MUST be
> > >         buffered."
> > >
> > >     If timer T7 is maintained for those user data messages, then the
> > >     link will likely fail due to T7 expiry. This is not acceptable.
> > >     Timer T7 should be disabled for all user data messsages in the
> > >     retransmit queue upon onset of local processor outage.
> > >
> > >     I therefore request that the above paragraph '(c)' either be struck
> > >     from the draft or replaced with:
> > >
> > >     "(c) Upon the onset of local processor outage M2PA SHOULD disable
> > >          the T7 timer for all messages that have been sent but not
> > >          acknowledged."
> >
> > I think you are right.
>   [...]
> 
> --
> * Tom George       PB7-24001 (near B-21)      [email-masked]  *
> * 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
> * Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
> * I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
> * to advertise or represent its position,  operations, or activities. *

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Andrew Booth <[email-masked]>
Date: Thu, 29 May 2003 10:41:26 -0400

Hi Tom,

Some additional references to stopping T7 during processor outage:

In section 8 of T1.111.3 there is a reference to stopping T7 during 
local or remove processor outage.

Regarding references, I don't see any references in the text of q.703 
(1996) to stopping T7 during PO.  There are the following references in 
the 1996 SDLs:
- Figure 13 sheet 2, 4, 5, 6 and 7
-- the case in sheet 2 arises because of LPO
-- the stop T7 in sheet 5 arrives in RPO
So the SDLs in the 1996 version of q.703 seem to indicate that T7 should 
be stopped in local or remote PO but I don't see anything in the text 
portion.

Andrew

-- 
Andrew Booth, Software Developer
Signaling Systems Group, Performance Technologies
613-237-4344

Visit www.pt.com/mailing.html to subscribe to our Packets & Signals eLetter.

---

From: Tom George <[email-masked]>
Date: Thu, 29 May 2003 16:24:17 -0500

Andrew,

For LPO, Figure 13 sheet 2 is what I was looking for. Thanks.

For RPO, LSC tells TXC to send FISUs (Figure 8 sheet 11). Then TXC stops
the T7 timer (Figure 13 sheet 5).

tomG.